Jump to
Ctrl
+
/

Prepare A Non Fungible Token Transfer From Address Tron

POST
/prepare-transactions/evm/tron/{network}/non-fungible-tokens

Through this endpoint customers can prepare a non-fungible token (TRC-721) transfer from an address. The address doesn't have to belong to a wallet. The response returns the unsigned Tron transaction envelope (raw_data / raw_data_hex), the sighash to sign, and the estimated energy required for the contract call.


Currently we support non-fungible tokens (TRC-721) through this endpoint.

Path Parameters

network string Required

Represents the name of the blockchain network used; blockchain networks are usually identical as technology and software, but they differ in data, e.g. - "mainnet" is the live network with actual data while network like "nile" is a test network.

Query Parameters

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

Request Body Schema application/json

context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

data object Required
item object Required
sender string Required

Represents the address which sends this transaction. In account-based protocols like Tron there is always only one sender.

recipient string Required

The address which receives this transaction. In account-based protocols like Tron there is always only one recipient.

contract string Required

Represents the NFT (TRC-721) token contract address the transfer is executed against.

tokenId string Required

Represents the unique identifier of the NFT (TRC-721) token being transferred.

feeLimit integer Optional

Represents the maximum energy fee, in SUN, the sender is willing to spend on the smart-contract call. Optional; defaults to 150000000 SUN (150 TRX) when omitted.

Default : 150000000

Response Schema

apiVersion string Required

Specifies the version of the API that incorporates this endpoint.

2024-12-12
requestId string Required

Defines the ID of the request. The requestId is generated by Crypto APIs and it's unique for every request.

601c1710034ed6d407996b30
context string Optional

In batch situations the user can use the context to correlate responses with requests. This property is present regardless of whether the response was successful or returned as an error. context is specified by the user.

yourExampleString
data object Required
item object Required
sender string Required

Represents the address which sends this transaction.

TBYNc3i5K8iSxFoUf2DphbApFv62kEHqvN
recipient string Required

The address which receives this transaction.

TBgjvX6BU6mPJ4Z9GRBE4NcXKXtpfM1KGW
rawDataHex string Required

String representation of the raw transaction data in hex format.

0a024eaa2208cad4be09cdb645e04080acb6c1f2335acf01081f12ca010a31747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e54726967676572536d617274436f6e74726163741294010a15414433e9393c844b0e5cd74e04f036631af8304c8712154133a9604d95a8855f677710214fe00d3a2a9cedf1226423b872dd0000000000000000000000004433e9393c844b0e5cd74e04f036631af8304c870000000000000000000000001c97f0c209a56e68f19d1b8b94630db4e08ac3fd000000000000000000000000000000000000000000000000000000000000000270fb94d898f233900180a3c347
transactionId string Required

Represents the transaction id (hash) of the prepared transaction.

ef6ff5e58e3058ddaa74f0dfe19f1426ac8546cec449060c5f010ae7458ecd45
inputData string Required

Representation of the contract call input data in hex value. For token transfers this is the encoded transfer/transferFrom call; for native transfers it is the optional additional data. Empty when there is no input data.

23b872dd0000000000000000000000004433e9393c844b0e5cd74e04f036631af8304c870000000000000000000000001c97f0c209a56e68f19d1b8b94630db4e08ac3fd0000000000000000000000000000000000000000000000000000000000000002
energyUsed integer Required

Represents the estimated energy required for the smart-contract call.

138428

Credits Cost

Blockchain protocol Credits for 1 Results
Default Cost 128
Tron 128
Was this page helpful?
Yes
No
Powered by
Language
URL

{
    "apiVersion": "2024-12-12",
    "requestId": "601c1710034ed6d407996b30",
    "context": "yourExampleString",
    "data": {
        "item": {
            "sender": "TBYNc3i5K8iSxFoUf2DphbApFv62kEHqvN",
            "recipient": "TBgjvX6BU6mPJ4Z9GRBE4NcXKXtpfM1KGW",
            "rawDataHex": "0a024eaa2208cad4be09cdb645e04080acb6c1f2335acf01081f12ca010a31747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e54726967676572536d617274436f6e74726163741294010a15414433e9393c844b0e5cd74e04f036631af8304c8712154133a9604d95a8855f677710214fe00d3a2a9cedf1226423b872dd0000000000000000000000004433e9393c844b0e5cd74e04f036631af8304c870000000000000000000000001c97f0c209a56e68f19d1b8b94630db4e08ac3fd000000000000000000000000000000000000000000000000000000000000000270fb94d898f233900180a3c347",
            "transactionId": "ef6ff5e58e3058ddaa74f0dfe19f1426ac8546cec449060c5f010ae7458ecd45",
            "inputData": "23b872dd0000000000000000000000004433e9393c844b0e5cd74e04f036631af8304c870000000000000000000000001c97f0c209a56e68f19d1b8b94630db4e08ac3fd0000000000000000000000000000000000000000000000000000000000000002",
            "energyUsed": 138428
        }
    }
}